from django.db import models
from django.conf import settings
from django.utils.translation import ugettext_lazy as _

from cms.models.pluginmodel import CMSPlugin

###################################
## CMS MODELS                     #
###################################

class DocumentSettings(CMSPlugin):

     dirpath = models.CharField(
         _("Directory"),
         max_length=200,
         default=(settings.DOCUMENT_RELATIVE_URL),
         help_text=_("Insert the path of directory you want to list")
     )
     template_name = models.CharField(
         max_length=100,
         choices=settings.DOCUMENT_CMSPLUGIN_TEMPLATES,
         default="cms_plugins/document_list.html",
         editable=len(settings.DOCUMENT_CMSPLUGIN_TEMPLATES) > 1
     )
     ordering = models.CharField(
         _("Items order"),
         max_length=100,
         default='filename',
         help_text=_("Items ordering fields")
     )
     objects_per_page = models.IntegerField(
         default = 20,
     )
     def __unicode__(self):
         return self.dirpath
    
     class Meta:
         app_label = "document"


